local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
do
	local data = {
		version = 2,
		key = "Oshir",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["IronDocks: Oshir"],
		triggers = {
			scan = {79852}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	"boss1", 	},
			unittracing = {	"boss1",},
			defeat = 79852,
		},
		userdata = {

		},		
		messages = {
			mTimeToFeed = {
				varname = format(L.alert["%s %s %s"],SN[162415],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[162415],L.alert["on"]),
				color1 = "INDIGO",
				sound = "ALERT13",
				desc = 162415,
				icon = ST[162415],
			},
			mBreakout = {
				varname = format(L.alert["%s %s %s"],SN[178124],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[178124],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 178124,
				icon = ST[178124],
			},
			mRendingSlashes = {
				varname = format(L.alert["%s"],SN[161239]),
				type = "message",
				text = format(L.alert["%s"],SN[161239]),
				color1 = "TAN",
				sound = "ALERT13",
				desc = 161239,
				icon = ST[161239],
				throttle = 5,
			},			
		},
		onstart = {
			--"alert",{"TimeToFeedCD", time = 2},
		},
		alerts = {
			--[[TimeToFeedCD = {
				varname = format(L.alert["%s Cooldown"],SN[162415]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[162415]),
				time = 22,
				time2 = 18,
				color1 = "GLOBAL",
				icon = ST[162415],
				desc = 162415,
			},--]]
			-- Warning
			wRoar = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[163054]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[163054]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[163054],
				sound = "ALERT10",
				desc = 163054,
			},	
			-- Inform
			iTimeToFeed = {
				varname = format(L.alert["%s %s %s"],SN[162415],L.alert["on"],L.alert["player"]),
				type = "inform",
				text = format(L.alert["%s %s #5#"],SN[162415],L.alert["on"]),
				time = 2,
				color1 = "GREEN",
				sound = "ALERT10",
				icon = ST[162415],
				desc = 162415,
				exdps = true,
				extank = true,
			},
			iTimeToFeedself = {
				varname = format(L.alert["%s %s %s"],SN[162415],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s"],SN[162415],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[162415],
				desc = 162415,
			},				
		},
		events = {
			-- TimeToFeed
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {162415},
				execute = {
					{
						"message","mTimeToFeed",
					},			
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","iTimeToFeedself",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert","iTimeToFeed",
					},						
				},
			},
			-- Breakout
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {178124},
				execute = {
					{
						"message","mBreakout",
					},								
				},
			},
			-- Roar
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {163054},
				execute = {
					{
						"alert","wRoar",
					},
				},
			},
			----

			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED",
				execute = {
					{
						"expect",{"#1#","==","boss1"},
						"invoke",{
							{
								"expect",{"#5#","==","161239"}, -- RendingSlashes
								"message","mRendingSlashes",
							},								
						},
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end