local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(569)
local instance = EJ_GetInstanceInfo(259) or ""
do
	local data = {
		version = 1,
		key = "KargathBladefistold",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {16808}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {16808},
			unittracing = {"boss1"},
			defeat = 16808,
		},
		userdata = {
			add = 0,
			type = 0,
		},		
		messages = {
			mHeathen = {
				varname = format(L.alert["%s: 2 - 2"],EJSN[5927]),
				type = "message",
				text = format(L.alert["%s: <add> - <type>"],EJSN[5927]),
				color1 = "YELLOW",
				sound = "ALERT13",
				ability = 5927,
				icon = ST[186782],
			},	
			mReaver = {
				varname = format(L.alert["%s: 2 - 2"],EJSN[5930]),
				type = "message",
				text = format(L.alert["%s: <add> - <type>"],EJSN[5930]),
				color1 = "ORANGE",
				sound = "ALERT13",
				ability = 5930,
				icon = ST[186782],
			},	
			mSharpShooter = {
				varname = format(L.alert["%s: 2 - 2"],EJSN[5934]),
				type = "message",
				text = format(L.alert["%s: <add> - <type>"],EJSN[5934]),
				color1 = "RED",
				sound = "ALERT13",
				ability = 5934,
				icon = ST[186782],
			},				
		},
		timers = {
			timerAdds = {
				{
					"set",{add = "INCR|1", type = "INCR|1"},
				},
				{
					"expect",{"<type>","==","1"}, --Heathen
					"message","mHeathen",
					"alert","ReaverCD",
				},
				{
					"expect",{"<type>","==","2"}, --Reaver
					"message","mReaver",
					"alert","SharpShooterCD",
				},
				{
					"expect",{"<type>","==","3"}, --SharpShooter
					"message","mSharpShooter",
					"set",{type = 0},
					"alert",{"HeathenCD", time = 2},
				},
				{
					"scheduletimer",{"timerAdds",21},
				},
			},	
		},
		onstart = {
			{
				"batchalert",{"HeathenCD","BladeDanceCD"},
				"scheduletimer",{"timerAdds",29},
			},
		},
		alerts = {
			HeathenCD = {
				varname = format(L.alert["%s Cooldown"],EJSN[5927]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],EJSN[5927]),
				time = 29,
				time2 = 21,
				color1 = "GLOBAL",
				icon = EJST[186782],
			},
			ReaverCD = {
				varname = format(L.alert["%s Cooldown"],EJSN[5930]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],EJSN[5930]),
				time = 21,
				color1 = "GLOBAL",
				icon = EJST[186782],
			},
			SharpShooterCD = {
				varname = format(L.alert["%s Cooldown"],EJSN[5934]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],EJSN[5934]),
				time = 21,
				color1 = "GLOBAL",
				icon = EJST[186782],
			},	
			BladeDanceCD = {
				varname = format(L.alert["%s Cooldown"],SN[30739]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[30739]),
				time = 72,
				time2 = 35,
				color1 = "GLOBAL",
				icon = ST[30739],
				desc = 30739,
			},			
		},
		events = {
			
		},
	}

	DXE:RegisterEncounter(data)
end