local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(570)
local instance = EJ_GetInstanceInfo(260) or ""
do
	local data = {
		version = 1,
		key = "Mennu",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {17941}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {17941},
			unittracing = {"boss1"},
			defeat = 17941,
		},
		userdata = {

		},		
		messages = {
			mCorruptedNovaTotem = {
				varname = format(L.alert["%s!"],SN[31991]),
				type = "message",
				text = format(L.alert["%s!"],SN[31991]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 31991,
				icon = ST[31991],
			},
		},
		onstart = {

		},
		alerts = {
				
		},
		events = {
			-- CorruptedNovaTotem
			{
				type = "combatevent",
				eventtype = "SPELL_SUMMON",
				spellid = {31991}, 
				execute = {
					{
						"message","mCorruptedNovaTotem",
					},
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end