local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(571)
local instance = EJ_GetInstanceInfo(260) or ""
do
	local data = {
		version = 1,
		key = "Rokmar",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {17991}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {17991},
			unittracing = {"boss1"},
			defeat = 17991,
		},
		userdata = {

		},		
		messages = {
			mFrenzy = {
				varname = "20% "..format(L.alert["%s %s %s"],SN[34970],L.alert["on"],L.alert["player"]),
				type = "message",
				text = "20% "..format(L.alert["%s %s &dstname_or_YOU&"],SN[34970],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 34970,
				icon = ST[34970],
			},
			mGrievousWound = {
				varname = format(L.alert["%s %s %s"],SN[31956],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[31956],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 31956,
				icon = ST[31956],
			},			
		},
		onstart = {

		},
		alerts = {
				
		},
		events = {
			-- Frenzy
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {34970},
				execute = {
					{
						"message","mFrenzy",
					},		
				},
			},
			-- GrievousWound
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {31956, 38801},
				execute = {
					{
						"message","mGrievousWound",
					},		
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end