local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(580)
local instance = EJ_GetInstanceInfo(271) or ""
do
	local data = {
		version = 1,
		key = "Nadox",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {29309}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {29309},
			unittracing = {"boss1"},
			defeat = 29309,
		},
		userdata = {

		},		
		messages = {
			mPlague = {
				varname = format(L.alert["%s %s %s"],SN[56130],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[56130],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 56130,
				icon = ST[56130],
			},
		},
		onstart = {

		},
		alerts = {
			PlagueCD = {
				varname = format(L.alert["%s Cooldown"],SN[57055]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[57055]),
				time = 30,
				color1 = "GLOBAL",
				icon = ST[57055],
				desc = 57055,	
			},		
		},
		events = {
			-- Plague
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {56130, 59467},
				execute = {
					{
						"alert","PlagueCD",
						"message","mPlague",
					},		
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {56130, 59467},
				execute = {
					{
						"quash","PlagueCD",
					},		
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end