local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(581)
local instance = EJ_GetInstanceInfo(271) or ""
do
	local data = {
		version = 1,
		key = "Taldaram",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {29308}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {29308},
			unittracing = {"boss1"},
			defeat = 29308,
		},
		userdata = {

		},		
		messages = {
			mEmbrace = {
				varname = format(L.alert["%s %s %s"],SN[55959],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[55959],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 55959,
				icon = ST[55959],
			},
		},
		onstart = {

		},
		alerts = {
			FlameCD = {
				varname = format(L.alert["%s Cooldown"],SN[55959]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[55959]),
				time = 17,
				color1 = "GLOBAL",
				icon = ST[55959],
				desc = 55959,	
			},	
			-- Warning
			wFlame = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[55931]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[55931]),
				time = 2,
				color1 = "RED",
				icon = ST[55931],
				sound = "ALERT13",
				desc = 55931,
				--flashscreen = true,
			},
			-- Debuff
			EmbraceDebuff = {
				varname = format(L.alert["%s Debuff"],SN[55959]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[55959]),
				text2 = format(L.alert["#5#: %s"],SN[55959]),
				time = 17,
				color1 = "RED",
				desc = 55959,
				icon = ST[55959],
				tag = "#5#",
				exdps = true,				
			},			
		},
		events = {
			-- Flame
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {55931},
				execute = {
					{
						"batchalert",{"FlameCD","wFlame"},
					},
				},
			},
			-- Embrace
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {55959, 59513},
				execute = {
					{
						"alert","EmbraceDebuff",
						"message","mEmbrace",
					},		
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {55959, 59513},
				execute = {
					{
						"quash","EmbraceDebuff",
					},		
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end