local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(584)
local instance = EJ_GetInstanceInfo(271) or ""
do
	local data = {
		version = 1,
		key = "Volazj",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {29311}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {29311},
			unittracing = {"boss1"},
			defeat = 29311,
		},
		userdata = {

		},		
		onstart = {

		},
		alerts = {
			-- Warning
			wInsanity = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[57496]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[57496]),
				time = 2,
				color1 = "RED",
				icon = ST[57496],
				sound = "ALERT13",
				desc = 57496,
				--flashscreen = true,
			},
			-- Casts
			InsanityCast = {
				varname = format(L.alert["%s Casting"],SN[57496]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[57496]),
				time = 5,
				color1 = "YELLOW",
				icon = ST[57496],
				desc = 57496,
			},			
		},
		events = {
			{
				type = "event",
				event = "UNIT_SPELLCAST_START", 
				execute = {
					{
						"expect",{"#1#","==","boss1"},
						"invoke",{
							{
								"expect",{"#5#","==","57496"}, -- Insanity
								"alert","InsanityCast",
								"alert","wInsanity",
							},								
						},
					},					
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end