local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(597)
local instance = EJ_GetInstanceInfo(275) or ""
do
	local data = {
		version = 1,
		key = "Gjarngrin",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {29308}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {29308},
			unittracing = {"boss1"},
			defeat = 29308,
		},
		userdata = {

		},		
		onstart = {

		},
		alerts = {
			-- Warning
			wWhirlwind = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[52027]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[52027]),
				time = 2,
				color1 = "RED",
				icon = ST[52027],
				sound = "ALERT10",
				desc = 52027,
				--flashscreen = true,
			},		
		},
		events = {
			-- Whirlwind
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {52027, 52028},
				execute = {
					{
						"alert","wWhirlwind",
					},
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end