local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(599)
local instance = EJ_GetInstanceInfo(275) or ""
do
	local data = {
		version = 1,
		key = "Ionar",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {28546}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {28546},
			unittracing = {"boss1"},
			defeat = 28546,
		},
		userdata = {

		},		
		raidicons = {
			Overloadmark = {
				varname = SN[52658],
				type = "FRIENDLY",
				persist = 200,
				unit = "#5#", 
				icon = 8,
				desc = 52658,
				icon2 = ST[52658],
			},				
		},	
		messages = {
			mOverload = {
				varname = format(L.alert["%s %s %s"],SN[52658],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[52658],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 52658,
				icon = ST[52658],
			},
		},
		onstart = {

		},
		alerts = {
			FlameCD = {
				varname = format(L.alert["%s Cooldown"],SN[55959]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[55959]),
				time = 17,
				color1 = "GLOBAL",
				icon = ST[55959],
				desc = 55959,	
			},	
			-- Warning
			wDisperse = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[52770]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[52770]),
				time = 2,
				color1 = "RED",
				icon = ST[52770],
				sound = "ALERT10",
				desc = 52770,
				--flashscreen = true,
			},
			-- Debuff
			OverloadDebuff = {
				varname = format(L.alert["%s Debuff"],SN[52658]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[52658]),
				text2 = format(L.alert["#5#: %s"],SN[52658]),
				time = 10,
				color1 = "RED",
				desc = 52658,
				icon = ST[52658],
				tag = "#5#",
				exdps = true,				
			},			
		},
		events = {
			-- Disperse
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {52770},
				execute = {
					{
						"alert","wDisperse",
					},
				},
			},
			-- Overload
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {52658, 59795},
				execute = {
					{
						"alert","OverloadDebuff",
						"message","mOverload",
						"raidicon","Overloadmark",
					},		
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {55959, 59513},
				execute = {
					{
						"quash","OverloadDebuff",
						"removeraidicon","#5#",
					},		
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end