local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(600)
local instance = EJ_GetInstanceInfo(275) or ""
do
	local data = {
		version = 1,
		key = "Kronus",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {28923}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {28923},
			unittracing = {"boss1"},
			defeat = 28923,
		},
		userdata = {

		},		
		onstart = {

		},
		alerts = {
			NovaCD = {
				varname = format(L.alert["%s Cooldown"],SN[52960]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[52960]),
				time = 30,
				color1 = "GLOBAL",
				icon = ST[52960],
				desc = 52960,	
			},	
			-- Warning
			wNova = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[52960]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[52960]),
				time = 2,
				color1 = "RED",
				icon = ST[52960],
				sound = "ALERT13",
				desc = 52960,
				--flashscreen = true,
			},		
		},
		events = {
			-- Nova
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {52960, 59835},
				execute = {
					{
						"batchalert",{"NovaCD","wNova"},
					},
				},
			},
		},
	}

	DXE:RegisterEncounter(data)
end