local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(598)
local instance = EJ_GetInstanceInfo(275) or ""
do
	local data = {
		version = 1,
		key = "Volkhan",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {28587}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {28587},
			unittracing = {"boss1"},
			defeat = 28587,
		},
		userdata = {

		},		
		onstart = {

		},
		alerts = {
			StompCD = {
				varname = format(L.alert["%s Cooldown"],SN[52237]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[52237]),
				time = 30,
				color1 = "GLOBAL",
				icon = ST[52237],
				desc = 52237,	
			},	
			-- Warning
			wStomp = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[52237]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[52237]),
				time = 2,
				color1 = "RED",
				icon = ST[52237],
				sound = "ALERT13",
				desc = 52237,
				--flashscreen = true,
			},
		
		},
		events = {
			-- Stomp
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {59529, 52237},
				execute = {
					{
						"batchalert",{"StompCD","wStomp"},
					},
				},
			},
		},
	}

	DXE:RegisterEncounter(data)
end