local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(549)
local instance = EJ_GetInstanceInfo(254) or ""
do
	local data = {
		version = 1,
		key = "Dalliah",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name = "["..instance.."] "..EJName,
		triggers = {
			scan = {20885}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	20885 	},
			unittracing = {	"boss1",},
			defeat = 20885,
		},
		userdata = {

		},		
		messages = {
			mGiftOfTheDoomsayer = {
				varname = format(L.alert["%s %s %s"],SN[39009],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[39009],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 39009,
				icon = ST[39009],
			},
		},
		onstart = {

		},
		alerts = {
			-- Warning
			wHeal = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[39013]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[39013]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[39013],
				sound = "ALERT10",
				desc = 39013,
				--flashscreen = true,
			},
			wWhirlwind = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[36175]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[36175]),
				time = 2,
				color1 = "RED",
				icon = ST[36175],
				sound = "ALERT11",
				desc = 36175,
				flashscreen = true,
			},
			-- Casts
			WhirlwindAct = {
				varname = format(L.alert["%s Active"],SN[36175]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[36175]),
				time = 6,
				color1 = "RED",
				icon = ST[36175],
				desc = 36175,
			},	
			-- Debuff
			GiftOfTheDoomsayerDebuff = {
				varname = format(L.alert["%s Debuff"],SN[39009]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU&: %s"],SN[39009]),
				time = 10,
				color1 = "ORANGE",
				desc = 39009,
				icon = ST[39009],
				tag = "#5#",
				exdps = true,				
			},				
		},
		events = {
			-- Heal 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {36144, 39013},
				execute = {	
					{
						"alert","wHeal",
					},		
				},
			},
			-- Whirlwind 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {36175, 36142},
				execute = {	
					{
						"alert","wWhirlwind",
						"alert","WhirlwindAct",
					},		
				},
			},	
			-- GiftOfTheDoomsayer 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {36173, 39009},
				execute = {
					{
						"message","mGiftOfTheDoomsayer",
						"alert","GiftOfTheDoomsayerDebuff",
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end