local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(550)
local instance = EJ_GetInstanceInfo(254) or ""
do
	local data = {
		version = 1,
		key = "Soccothrates",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name = "["..instance.."] "..EJName,
		triggers = {
			scan = {20886}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	20886 },
			unittracing = {	"boss1"},
			defeat = 20886,
		},
		userdata = {

		},		
		messages = {
			mKnockAway = {
				varname = format(L.alert["%s!"],SN[36512]),
				type = "message",
				text = format(L.alert["%s!"],SN[36512]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 36512,
				icon = ST[36512],
			},
		},
		onstart = {

		},
		alerts = {
	
		},
		events = {
			-- KnockAway 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {36512},
				execute = {
					{
						"message","mKnockAway",
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end