local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(582)
local instance = EJ_GetInstanceInfo(271) or ""
do
	local data = {
		version = 1,
		key = "JedogaShadowseeker",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {29310}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {29310},
			unittracing = {"boss1"},
			defeat = 29310,
		},
		userdata = {

		},		
		messages = {
			mCycloneStrike = {
				varname = format(L.alert["%s %s"],SN[56855],L.alert["Incoming"]),
				type = "message",
				text = format(L.alert["%s %s"],SN[56855],L.alert["Incoming"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 56855,
				icon = ST[56855],
			},
			mThundershock = {
				varname = format(L.alert["%s!"],SN[56926]),
				type = "message",
				text = format(L.alert["%s!"],SN[56926]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 56926,
				icon = ST[56926],
			},			
		},
		onstart = {

		},
		alerts = {		
		},
		events = {
			-- CycloneStrike
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {56855, 60030},
				execute = {
					{
						"message","mCycloneStrike",
					},
				},
			},
			-- Thundershock
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {56926, 60029},
				execute = {
					{
						"message","mThundershock",
					},
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end