local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(594)
local instance = EJ_GetInstanceInfo(274) or ""
do
	local data = {
		version = 1,
		key = "Moorabi",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {29305}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {29305},
			unittracing = {"boss1"},
			defeat = 29305,
		},
		userdata = {
			lowHealth = 0,
		},	
		timers = {
			timerTransform = {
				{
					"expect",{"&gethp|boss1&","<=","50"},
					"set",{lowHealth = 1},
				},
				{
					"expect",{"&gethp|boss1&",">","50"},
					"scheduletimer",{"timerTransform",1},
				},
			},			
		},			
		messages = {
			mTransform = {
				varname = format(L.alert["%s!"],SN[55098]),
				type = "message",
				text = format(L.alert["%s!"],SN[55098]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 55098,
				icon = ST[55098],
			},
		},
		onstart = {
			{
				"scheduletimer",{"timerTransform",1},
			},
		},
		alerts = {
			TransformCD = {
				varname = format(L.alert["%s Cooldown"],SN[55098]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[55098]),
				time = 10,
				time2 = 5,
				color1 = "GLOBAL",
				icon = ST[55098],
				desc = 55098,	
			},	
		},
		events = {
			-- Transform
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {55098},
				execute = {
					{
						"message","mTransform",
					},
					{
						"expect",{"<lowHealth>","==","1"},
						"alert",{"TransformCD", time = 2},
					},
					{
						"expect",{"<lowHealth>","==","0"},
						"alert","TransformCD",
					},					
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end