local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(592)
local instance = EJ_GetInstanceInfo(274) or ""
do
	local data = {
		version = 1,
		key = "Sladran",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {29304}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {29304},
			unittracing = {"boss1"},
			defeat = 29304,
		},
		userdata = {

		},		
		onstart = {

		},
		alerts = {
			NovaCD = {
				varname = format(L.alert["%s Cooldown"],SN[55081]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[55081]),
				time = 24,
				color1 = "GLOBAL",
				icon = ST[55081],
				desc = 55081,	
			},
			-- Warning
			wNova = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[55081]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[55081]),
				time = 2,
				color1 = "RED",
				icon = ST[55081],
				sound = "ALERT11",
				desc = 55081,
				--flashscreen = true,
			},			
		},
		events = {
			-- Nova
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {55081, 59842},
				execute = {
					{
						"batchalert",{"NovaCD","wNova"},
					},
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end