local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(644)
local instance = EJ_GetInstanceInfo(286) or ""
do
	local data = {
		version = 1,
		key = "Ymiron",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {26861}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {26861},
			unittracing = {"boss1"},
			defeat = 26861,
		},
		userdata = {

		},		
		messages = {
			mEmbrace = {
				varname = format(L.alert["%s %s %s"],SN[55959],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[55959],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 55959,
				icon = ST[55959],
			},
		},
		onstart = {

		},
		alerts = {
			FlameCD = {
				varname = format(L.alert["%s Cooldown"],SN[55959]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[55959]),
				time = 17,
				color1 = "GLOBAL",
				icon = ST[55959],
				desc = 55959,	
			},	
			-- Warning
			wBane = {
				varname = format(L.alert["%s"],SN[48294]),
				type = "simple",
				text = format(L.alert["%s"],SN[48294]),
				time = 2,
				color1 = "RED",
				icon = ST[48294],
				sound = "ALERT13",
				desc = 48294,
				--flashscreen = true,
			},
			wScreams = {
				varname = format(L.alert["%s"],SN[51750]),
				type = "simple",
				text = format(L.alert["%s"],SN[51750]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[51750],
				sound = "ALERT13",
				desc = 51750,
				--flashscreen = true,
			},			
			-- Debuff
			BaneDebuff = {
				varname = format(L.alert["%s Debuff"],SN[48294]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[48294]),
				text2 = format(L.alert["#5#: %s"],SN[48294]),
				time = 5,
				color1 = "RED",
				desc = 48294,
				icon = ST[48294],
				tag = "#5#",
				exdps = true,				
			},
			ScreamsDebuff = {
				varname = format(L.alert["%s Debuff"],SN[51750]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[51750]),
				text2 = format(L.alert["#5#: %s"],SN[51750]),
				time = 8,
				color1 = "ORANGE",
				desc = 51750,
				icon = ST[51750],
				tag = "#5#",
				exdps = true,				
			},				
		},
		events = {
			-- Bane
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {48294, 59301},
				execute = {
					{
						"alert","BaneDebuff",
						"alert","wBane",
					},		
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {48294, 59301},
				execute = {
					{
						"quash","BaneDebuff",
					},		
				},
			},	
			-- Screams
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {51750},
				execute = {
					{
						"alert","ScreamsDebuff",
						"alert","wScreams",
					},		
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {51750},
				execute = {
					{
						"quash","ScreamsDebuff",
					},		
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end